{ pkgs ? import <nixpkgs> {}}:

let libs = (with pkgs; [
    fontconfig
    freetype
    zlib
    sqlite
    vulkan-headers
    vulkan-loader
    vulkan-validation-layers
    libxkbcommon
    libpng
  ]); in
pkgs.mkShell {
    buildInputs = with pkgs; [
        graphviz
        pipewire
        shaderc
        gnumake
        gcc
        cmake # Does not actually needed by anything
        pkg-config
        wayland
        wayland-protocols
        wayland-scanner
        mesa
    ] ++ libs;

    shellHook = ''
        export VK_LAYER_PATH="${pkgs.vulkan-validation-layers}/share/vulkan/explicit_layer.d"
        echo Day ruined.
'';
}

